Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype.convertor
Class PlainBeanConvertorBuilder

    java.lang.Object
      org.apache.cocoon.forms.datatype.convertor.PlainBeanConvertorBuilder

All Implemented Interfaces:
  BeanConvertorBuilder, ConvertorBuilder

public class PlainBeanConvertorBuilder
extends Object
implements BeanConvertorBuilder

Creates `BeanConvertor`s

The optional <fd:bean>FQCN</fd:bean> attribute is used to give this convertor a hint of which concrete bean class we are going to work with. If this attribute is not specified java.lang.Object is used.

Sometimes the toString() method doesn't give a good representation of a Java Bean suited for selection list IDs. For this an optional <fd:id-path>jx-path</fd:id-path> attribute can be specified to have this convertor to use a different string representation.

Version:
  $Id: PlainBeanConvertorBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Constructor Summary
`PlainBeanConvertorBuilder()`

Method Summary
`Convertor` | `build(Element configElement)` Build a `BeanConvertor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainBeanConvertorBuilder

    public PlainBeanConvertorBuilder()

Method Detail

### build

    public Convertor build(Element configElement)
                    throws Exception

  Build a `BeanConvertor`

  Specified by:
    `build` in interface `ConvertorBuilder`
  Parameters:
    `configElement` - The configuration element
  Returns:
    An initialized `Convertor`
  Throws:
    `Exception` - In case of failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.